Package com.logicaldoc.core.communication

# Class Message

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.communication.Message

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `EMail`, `SystemMessage`

@MappedSuperclass public abstract class Message extends PersistentObject
This is the parent class for email and system message.

Version:
  1.0
Author:
  Michael Scholz, Marco Meschieri
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TYPE_NOTIFICATION`
`static final int`
`TYPE_SYSTEM`

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`Message()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getAuthor()`
`Locale`
`getLocale()`
`String`
`getMessageText()`
`Date`
`getReceivedDate()`
`Recipient`
`getRecipient(String name)`
`Set<Recipient>`
`getRecipients()`
`Date`
`getSentDate()`
`String`
`getSubject()`
`int`
`getType()`
`int`
`hashCode()`
`boolean`
`isHtml()`
`boolean`
`isNotify()`
`void`
`setAuthor(String auth)`
`void`
`setHtml(boolean html)`
`void`
`setLocale(Locale locale)`
`void`
`setMessageText(String mess)`
`void`
`setNotify(boolean notify)`
`void`
`setReceivedDate(Date receivedDate)`
`void`
`setRecipients(Set<Recipient> recipients)`
`void`
`setSentDate(Date sentDate)`
`void`
`setSubject(String subj)`
`void`
`setType(int type)`
`boolean`
`wasReadBy(String name)`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE_SYSTEM

public static final int TYPE_SYSTEM

See Also:
  - Constant Field Values

### TYPE_NOTIFICATION

public static final int TYPE_NOTIFICATION

See Also:
  - Constant Field Values

## Constructor Details

### Message

public Message()

## Method Details

### isNotify

public boolean isNotify()

### setNotify

public void setNotify(boolean notify)

### getMessageText

public String getMessageText()

### getAuthor

public String getAuthor()

### getSubject

public String getSubject()

### setMessageText

public void setMessageText(String mess)

### setAuthor

public void setAuthor(String auth)

### setSubject

public void setSubject(String subj)

### getSentDate

public Date getSentDate()

### setSentDate

public void setSentDate(Date sentDate)

### getType

public int getType()

### setType

public void setType(int type)

### getRecipient

public Recipient getRecipient(String name)

### wasReadBy

public boolean wasReadBy(String name)

### getRecipients

public Set<Recipient> getRecipients()

### setRecipients

public void setRecipients(Set<Recipient> recipients)

### getLocale

public Locale getLocale()

### setLocale

public void setLocale(Locale locale)

### isHtml

public boolean isHtml()

### setHtml

public void setHtml(boolean html)

### getReceivedDate

public Date getReceivedDate()

### setReceivedDate

public void setReceivedDate(Date receivedDate)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`